#ifndef BPMWINDOW_H_
#define BPMWINDOW_H_

#include <Application.h>
#include <Window.h>
#include <View.h>
#include <Message.h>

/*
	BPMWindow is going to essentially house three components - BPMView, the docking bay,
	and the tool bay. It will manage quite a few things, as well, like managing the list 
	of available filters and other stuff.
*/
class BPMWindow : public BWindow
{
public:
	BPMWindow(BRect frame);
	~BPMWindow(void);
	virtual bool QuitRequested(void);
	virtual void MessageReceived(BMessage *msg);
};

#endif