#ifndef TEMPBUFFER_H_
#define TEMPBUFFER_H_

#include <SupportDefs.h>
#include <String.h>

class TempBuffer
{
public:
//  The temp buffer functions
	TempBuffer(int16 w,int16 h,int16 bpp,int16 X,int16 Y,uint8 *col);
	~TempBuffer(void);
	void CopyBuffer(TempBuffer *from);
	uint8 *GetData(void);
	// Disk caching functions
	void Swap(void);
	void Unswap(void);
	void SwapFree(void);
//TempBuf * temp_buf_resize     (TempBuf *, gint, gint, gint, gint, gint);
//TempBuf * temp_buf_copy_area  (TempBuf *, TempBuf *, gint, gint, gint, gint, gint);


	//  Called by app_procs:exit() to free up the cached undo buffer
//	void      swapping_free       (void);
	
private:
	void CopyFromRGBA(TempBuffer *from);
	void CopyFromGrayscale(TempBuffer *from);

	int16 bytes,
		width,
		height,
		x,y;
	bool swapped;
	BString filename;
	uint8 *data;
};

class MaskBuffer : public TempBuffer
{
public:
	MaskBuffer(int16 width, int16 height);
	
};

#endif
