#ifndef LINKLIST_H_
#define LINKLIST_H_

class LinkListItem
{
public:
	LinkListItem(void);
	~LinkListItem(void) { }

	LinkListItem *GetNext(void) const { return next; }
	LinkListItem *GetPrev(void) const { return prev; }
	LinkListItem *GetHead(void) const { return head; }

	void Append(LinkListItem *item);
	void Prepend(LinkListItem *item);
	void RemoveSelf(void);
protected:
	LinkListItem *prev, *next, *head;
};

#endif

