#include "ComboFilter.h"
#include "ComboBox.h"

#include <Message.h>
#include <Debug.h>

/***********************************************************
 * Constructor
 ***********************************************************/
ComboFilter::ComboFilter(BView *view,
						message_delivery delivery,
						message_source source)
	:BMessageFilter(delivery,source)
	,fView(view)
{

}

/***********************************************************
 * Destructor
 ***********************************************************/
ComboFilter::~ComboFilter()
{
}

/***********************************************************
 * MessageFilter
 ***********************************************************/
filter_result
ComboFilter::Filter(BMessage *message,BHandler **target)
{
	/*if(message->what != '_PUL' && 
		message->what != 'prog'&& 
		message->what != '_MCH' &&
		message->what != '_MMV' && 
		message->what != '_UPD' && 
		message->what != '_UKD' && 
		message->what != '_KYD' && 
		message->what != '_EVP')
	{
	}*/
	switch(message->what)
	{
	case B_MOUSE_DOWN:
	{
			BView *view = fView->FindView("_PictureButton");
			if(view != *target)
				((ComboBox*)fView)->HideList();
			break;
	}
	case B_KEY_DOWN:
		const char* bytes;
		message->FindString("bytes",&bytes);
		if(bytes[0] == B_UP_ARROW || bytes[0] == B_DOWN_ARROW)
		{
			((ComboBox*)fView)->KeyDown(bytes,1);
			return B_SKIP_MESSAGE;
		}
		break;
	}
	return B_DISPATCH_MESSAGE;
}