#ifndef __COMBOWINDOW_H__
#define __COMBOWINDOW_H__

#include <Window.h>
#include <ListView.h>

class ComboBox;

class ComboWindow :public BWindow {
public:
	enum{
		M_LIST_SEL_CHANGED = 'mSEc'
	};

public:
						ComboWindow(BRect rect,int32 display,
									ComboBox *handler);
	virtual				~ComboWindow();
	
			void		AddItem(const char* text);
			void		Select(int32 index);
protected:
	virtual	void		MessageReceived(BMessage *message);
	virtual	bool		QuitRequested();
private:
	BListView			*fListView;
	ComboBox			*fTarget;
};
#endif