#include "SAMain.h"
#include <stdio.h>
#include <Screen.h>

SAApplication::SAApplication()
  :BApplication("application/x-vnd.wgp-SimpleApp")
{
	BRect rect;

	// Calculate the proper size of the window based on the screen resolution.
	// We want the window to be just a little bigger than the screen to take
	// advantage of Fitts' Law
	
	BScreen screen;
	display_mode dmode;
	screen.GetMode(&dmode);
	
//	rect.Set(0,24,1151,863);
	rect.Set(0,24,dmode.virtual_width-1,dmode.virtual_height-1);
	sawin=new SAWindow(rect);
	sawin->Show();
}

int main(int, char**)
{	
	SAApplication myApplication;

	// This function doesn't return until the application quits
	myApplication.Run();


	return(0);
}
